#1895 closed defect (fixed)

Pluggable scheduler priority_compare and release_job hooks

Reported by: Petr Benes Owned by: Joel Sherrill
Priority: normal Milestone: 4.11
Component: score Version: 4.11
Severity: normal Keywords:
Cc: gedare@… Blocked By:
Blocking:

Description

This patch enhances the pluggable scheduler interface with two additional callback functions. The motivation is integration of EDF scheduler.

First one, priority_compare explicitly compares two priorities. It is called when seizing a mutex.

Second one, release_job services each job release/cancellation in case the tasks are handled as periodic/aperiodic using the Rate Monotonic (RM) manager. It is called by RM when starting a new period and also (with a different parameter) when a period is cancelled.

2011-08-11 Petr Benes <benesp16@…>

  • rtems/src/ratemoncancel.c, rtems/src/ratemondelete.c, rtems/src/ratemonperiod.c, score/Makefile.am, score/include/rtems/score/scheduler.h, score/include/rtems/score/schedulerpriority.h, score/include/rtems/score/schedulersimple.h, score/include/rtems/score/schedulersimplesmp.h, score/inline/rtems/score/scheduler.inl, score/inline/rtems/score/schedulerpriority.inl, score/src/coremutexseize.c: Pluggable scheduler priority_compare and release_job hooks

Attachments (8)

pluggable_scheduler.diff (14.1 KB) - added by Petr Benes on Aug 11, 2011 at 1:28:33 PM.
Pluggable scheduler priority_compare and release_job hooks
sis-cvs.log (132.7 KB) - added by Petr Benes on Aug 11, 2011 at 1:33:24 PM.
SIS emulator test output - CVS
sis.log (132.7 KB) - added by Petr Benes on Aug 11, 2011 at 1:36:35 PM.
SIS emulator test output - patch applied
psim-cvs.log (175.9 KB) - added by Petr Benes on Aug 11, 2011 at 1:38:12 PM.
PSIM emulator test output - CVS
psim.log (175.9 KB) - added by Petr Benes on Aug 11, 2011 at 1:40:08 PM.
PSIM emulator test output - patch applied
sis-tm.diff (154 bytes) - added by Petr Benes on Aug 13, 2011 at 8:37:04 AM.
SIS tmtests and psxtmtests diff
psim-tm.diff (748 bytes) - added by Petr Benes on Aug 13, 2011 at 8:37:51 AM.
PSIM tmtests and psxtmtests diff
pluggable_scheduler2.diff (15.8 KB) - added by Petr Benes on Aug 22, 2011 at 8:30:34 PM.
Pluggable scheduler priority_compare and release_job hooks - version 2

Download all attachments as: .zip

Change History (12)

Changed on Aug 11, 2011 at 1:28:33 PM by Petr Benes

Attachment: pluggable_scheduler.diff added

Pluggable scheduler priority_compare and release_job hooks

Changed on Aug 11, 2011 at 1:33:24 PM by Petr Benes

Attachment: sis-cvs.log added

SIS emulator test output - CVS

Changed on Aug 11, 2011 at 1:36:35 PM by Petr Benes

Attachment: sis.log added

SIS emulator test output - patch applied

Changed on Aug 11, 2011 at 1:38:12 PM by Petr Benes

Attachment: psim-cvs.log added

PSIM emulator test output - CVS

Changed on Aug 11, 2011 at 1:40:08 PM by Petr Benes

Attachment: psim.log added

PSIM emulator test output - patch applied

comment:1 Changed on Aug 11, 2011 at 1:58:55 PM by Petr Benes

blocked: 1896

Changed on Aug 13, 2011 at 8:37:04 AM by Petr Benes

Attachment: sis-tm.diff added

SIS tmtests and psxtmtests diff

Changed on Aug 13, 2011 at 8:37:51 AM by Petr Benes

Attachment: psim-tm.diff added

PSIM tmtests and psxtmtests diff

Changed on Aug 22, 2011 at 8:30:34 PM by Petr Benes

Attachment: pluggable_scheduler2.diff added

Pluggable scheduler priority_compare and release_job hooks - version 2

comment:2 Changed on Aug 22, 2011 at 8:30:34 PM by Petr Benes

attachments.isobsolete: 01

comment:3 Changed on Sep 1, 2011 at 5:14:11 PM by Joel Sherrill

Resolution: fixed
Status: newclosed

Committed. Closing.

Thanks.

comment:4 Changed on Nov 24, 2014 at 6:58:28 PM by Gedare

Version: HEAD4.11

Replace Version=HEAD with Version=4.11 for the tickets with Milestone >= 4.11

Note: See TracTickets for help on using tickets.